package org.jboss.testsample.model;

import java.io.Serializable;

import java.util.HashMap;
import java.util.Map;

import javax.persistence.Column;
import javax.persistence.ElementCollection;
import javax.persistence.Embeddable;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;

import org.jboss.errai.common.client.api.annotations.Portable;


@Portable
@Embeddable
public class CustomFieldData implements Serializable
{
	private static final long serialVersionUID = 1L;

	@ElementCollection(targetClass = String.class, fetch = FetchType.EAGER)
	@JoinTable(
			name = "T_CUSTOM_FIELD_DATA",
			joinColumns = @JoinColumn(name = "custom_field_data_id")
			)
	@org.hibernate.annotations.IndexColumn(
			name = "id", base = 1
			)
	@Column(name = "custom_field", nullable = false)
	private Map<Integer,String> customField = new HashMap<Integer,String>();



	public CustomFieldData() {
	}



	public Map<Integer,String> getCustomField() {
		return customField;
	}



	public void setCustomField(Map<Integer,String> customField) {
		this.customField = customField;
	}



	
}
